//
//  ZXLNavigationController.m
//  TOPULL
//
//  Created by zxl on 2017/12/21.
//  Copyright © 2017年 EM. All rights reserved.
//

#import "ZXLNavigationController.h"

@interface ZXLNavigationController ()

@end

@implementation ZXLNavigationController

- (void)viewDidLoad {
    [super viewDidLoad];
}

+ (void)initialize
{
    [self setupNavBarTheme];
}

/**
 *  设置导航栏主题
 */
+ (void)setupNavBarTheme
{
    UINavigationBar *navBar = [UINavigationBar appearance];
    // UIColor 转UIImage
    [navBar setBackgroundImage:[UIImage imageNamed:@"icon_hongbaoReceive_navbj"] forBarMetrics:UIBarMetricsDefault];
    // 设置标题属性
    NSMutableDictionary *textAttrs = [NSMutableDictionary dictionary];
    textAttrs[NSForegroundColorAttributeName] = [UIColor whiteColor];
    textAttrs[NSFontAttributeName] = [UIFont systemFontOfSize:18];
    [navBar setTitleTextAttributes:textAttrs];
}

@end
